For the complete documentation index, see llms.txt. This page is also available as Markdown.

List ticket messages

Lists the conversation messages on a ticket, with page-based pagination

List messages for a ticket

get

Lists messages for a specific ticket with pagination

Authorizations
AuthorizationstringRequired

Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.

Path parameters
ticket_idstringRequired
Query parameters
pageinteger · min: 1OptionalDefault: 1
page_sizeinteger · min: 1 · max: 200OptionalDefault: 25
Responses
200

Successful Response

application/json
total_countintegerRequired
get/api/v1/tickets/{ticket_id}/messages
GET /service-desk/api/v1/tickets/{ticket_id}/messages HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "items": [
    {
      "id": 1,
      "thread_message_id": "123e4567-e89b-12d3-a456-426614174000",
      "sender_id": "text",
      "ticket_id": "text",
      "content": "text",
      "message_type": "text",
      "is_internal": true,
      "edited_at": "2026-01-01T00:00:00.000Z",
      "attachments": [
        {
          "id": "text",
          "filename": "text",
          "content_type": "text",
          "file_size": 1,
          "upload_status": "pending",
          "created_at": "2026-01-01T00:00:00.000Z",
          "updated_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "source": "slack",
      "message_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "deleted_at": "2026-01-01T00:00:00.000Z",
      "deleted_by": "text",
      "role": "text"
    }
  ],
  "total_count": 1
}

Last updated

Was this helpful?